Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Activator_NT_Service.h File Reference

`#include "ace/config.h"`
`#include "ace/NT_Service.h"`
`#include "ace/Singleton.h"`
`#include "tao/orbconf.h"`

Include dependency graph for Activator_NT_Service.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | Activator_NT_Service
| Allows the Implementation Repository to act as a Windows NT Service. More...
## Typedefs
typedef ACE_Singleton< Activator_NT_Service, Activator_NT_Service::MUTEX > | SERVICE
## Variables
const char * | IMR_ACTIVATOR_SERVICE_NAME = "TAOIMRActivator"
const char * | IMR_ACTIVATOR_DISPLAY_NAME = "TAO Implementation Repository Activator"
const char * | IMR_ACTIVATOR_DESCRIPTION = "Implementation Repository Activator service for TAO"

## Detailed Description

Id:
  Activator_NT_Service.h,v 1.2 2003/11/12 22:58:08 michel_j Exp

Author:
  Darrell Brunsch <brunsch@cs.wustl.edu> , Jeff Parsons <parsons@cs.wustl.edu> , John Tucker <jtucker@infoglide.com> , Mike Vitalo <mvitalo@infoglide.com>

## Typedef Documentation

typedef ACE_Singleton<Activator_NT_Service, Activator_NT_Service::MUTEX> SERVICE

## Variable Documentation

const char* IMR_ACTIVATOR_DESCRIPTION = "Implementation Repository Activator service for TAO"`[static]`

const char* IMR_ACTIVATOR_DISPLAY_NAME = "TAO Implementation Repository Activator"`[static]`

const char* IMR_ACTIVATOR_SERVICE_NAME = "TAOIMRActivator"`[static]`